const as integer MAX_CORES = 27
const as integer MAX_BIOMAS = 3

type rgbval
	r as single
	g as single
	b as single
end type

':::::
'Tango
':::::
dim shared palete (0 to MAX_CORES - 1) as rgbval
palete(0).r = 252:		palete(0).g = 233:		palete(0).b = 79
palete(1).r = 237:		palete(1).g = 212:		palete(1).b = 0
palete(2).r = 196:		palete(2).g = 160:		palete(2).b = 0
palete(3).r = 138:		palete(3).g = 226:		palete(3).b = 52
palete(4).r = 115:		palete(4).g = 210:		palete(4).b = 22
palete(5).r = 78:		palete(5).g = 154:		palete(5).b = 6
palete(6).r = 252:		palete(6).g = 175:		palete(6).b = 62
palete(7).r = 245:		palete(7).g = 121:		palete(7).b = 0
palete(8).r = 206:		palete(8).g = 92:		palete(8).b = 0
palete(9).r = 114:		palete(9).g = 159:		palete(9).b = 207
palete(10).r = 52:		palete(10).g = 101:		palete(10).b = 164
palete(11).r = 32:		palete(11).g = 74:		palete(11).b = 135
palete(12).r = 173:		palete(12).g = 127:		palete(12).b = 168
palete(13).r = 117:		palete(13).g = 80:		palete(13).b = 123
palete(14).r = 92:		palete(14).g = 53:		palete(14).b = 102
palete(15).r = 233:		palete(15).g = 185:		palete(15).b = 110
palete(16).r = 193:		palete(16).g = 125:		palete(16).b = 17
palete(17).r = 143:		palete(17).g = 89:		palete(17).b = 2
palete(18).r = 239:		palete(18).g = 41:		palete(18).b = 41
palete(19).r = 204:		palete(19).g = 0:		palete(19).b = 0
palete(20).r = 164:		palete(20).g = 0:		palete(20).b = 0
palete(21).r = 238:		palete(21).g = 238:		palete(21).b = 236
palete(22).r = 211:		palete(22).g = 215:		palete(22).b = 207
palete(23).r = 186:		palete(23).g = 189:		palete(23).b = 182
palete(24).r = 136:		palete(24).g = 138:		palete(24).b = 133
'palete(25).r = 85:		palete(25).g = 87:		palete(25).b = 83
palete(25).r = 46:		palete(25).g = 52:		palete(25).b = 54
palete(26).r = 28:		palete(26).g = 26:		palete(26).b = 29

'::::::
'Biomas
'::::::
dim shared bioma (0 to MAX_BIOMAS - 1) as rgbval
bioma(0).r = 138:		bioma(0).g = 135:		bioma(0).b = 69
bioma(1).r = 193:		bioma(1).g = 163:		bioma(1).b = 130
bioma(2).r = 255:		bioma(2).g = 255:		bioma(2).b = 255

'converte 0-256 para 0-1
dim as integer i
for i = 0 to MAX_CORES - 1
	palete(i).r = palete(i).r / 256
	palete(i).g = palete(i).g / 256
	palete(i).b = palete(i).b / 256
next i

for i = 0 to MAX_BIOMAS - 1
	bioma(i).r = edge(bioma(i).r / 256 / 0.7, 0, 1)
	bioma(i).g = edge(bioma(i).g / 256 / 0.7, 0, 1)
	bioma(i).b = edge(bioma(i).b / 256 / 0.7, 0, 1)
next i

'::::::
'Fontes
'::::::
dim shared as rgbval cor_texto, cor_titulo, cor_hl, cor_preto
cor_texto.r = 0.88:		cor_texto.g = 0.9:		cor_texto.b = 0.92
cor_titulo.r = 0.9:		cor_titulo.g = 0.3:		cor_titulo.b = 0.3
cor_hl.r = 1:			cor_hl.g = 0.9:			cor_hl.b = 0
cor_preto.r = 0:		cor_preto.g = 0:		cor_preto.b = 0
